can not sart because of yjpagent lib missing

Hi,

I am trying to start idea-6667. But it fails saying:

/usr/local/intellij/bin $ ./idea.sh
Error occurred during initialization of VM
Could not find agent library on the library path or in the local directory: yjpagent

But it is there.
/usr/local/intellij/bin $ ll
total 2388
-rw-rr 1 root root 137 Jan 25 20:10 appletviewer.policy
-rw-rr 1 root root 4537 Jan 25 20:10 idea.properties
-rwxr-xr-x 1 root root 1859 Jan 26 13:48 idea.sh
-rw-rr 1 root root 60 Jan 26 13:48 idea.vmoptions
-rw-rr 1 root root 692 Jan 25 20:10 idea16.png
-rw-rr 1 root root 1875 Jan 25 20:10 idea32.png
-rwxr-xr-x 1 root root 31 Jan 26 13:48 inspect.sh
-rwxr-xr-x 1 root root 2144 Jan 26 13:48 inspect_diff.sh
-rw-rr 1 root root 842 Jan 25 20:10 inspection16.png
-rw-rr 1 root root 1231 Jan 25 20:10 inspection24.png
-rw-rr 1 root root 2186 Jan 25 20:10 inspection32.png
-rw-rr 1 root root 2948 Jan 25 20:10 inspection48.png
-rw-rr 1 root root 323 Jan 25 20:10 jniwrap.lic
-rw-rr 1 root root 5309 Jan 25 20:10 libbreakgen.so
-rw-rr 1 root root 33438 Jan 25 20:10 libjniwrap.so
-rw-rr 1 root root 955368 Jan 25 20:10 libp4api.so
-rw-rr 1 root root 1362864 Jan 25 20:10 libyjpagent.so
-rw-rr 1 root root 1836 Jan 25 20:10 log.xml
-rw-rr 1 root root 5382 Jan 25 20:10 log4j.dtd

I am running Gentoo Linux an AMD64. Does someone knows what to do?

menschmeier

6 comments
Comment actions Permalink

yjpagent is not available for 64 bit systems. Edit your idea.vmoptions file and remove the line containing the reference to yjpagent.

0
Comment actions Permalink

Hi,

yes it is working. Thanx a lot.

menschmeier

0
Comment actions Permalink

Sorry, but that's not true. There are also 64 bit versions of yjpagent for all major operating systems. Just go to http://www.yourkit.com/download/ and download the archive for you OS. Both, the 32 bit and 64 bit library files are included. Linux users just have to replace the libyjpagent.so in the bin/ directory of IDEA with the version in the archive that is located in bin/linux-x86-64/. At least it worked for me and I did not change the idea.vmoptions.

0
Comment actions Permalink

I just ran into this issue when installing IntelliJ IDEA Ultimate Edition EAP build 94.585 on Ubuntu 9.10 64-bit Linux, so I thought I'd update this thread. After reading this thread, I took a peak in my idea/bin/ dir and noticed a couple library files with "64.so" on the end, so it appears that the 64-bit libraries are now included with IDEA. I merely renamed a couple files and everything is fine. Here's what worked for me:

cd /opt/idea-IU-94.585/bin/
mv libbreakgen.so libbreakgen.so.ORIGINAL
cp libbreakgen64.so libbreakgen.so
mv libyjpagent.so libyjpagent.so.ORIGINAL
cp libyjpagent64.so libyjpagent.so

If there's another way, more of a "best practice," please let me know. Otherwise, HTH!

0
Comment actions Permalink

Copying and renaming the files worked for me as well. Thanks Jamie.

0
Comment actions Permalink

instead of renaming, I went into the idea.vmoptions file and added a '64' to the end of '-agentlib:yjpagent=...'  so now it reads '-agentlib:yjpagent64=...'

Don't know if that is the right thing to do, but it worked, and I did not notice any problems.

0

Please sign in to leave a comment.